%Written by Adam Meadows
% function to swap values in a binary matrix
function swapped_m = swap(m)

% Swap, (Adam Meadows: ameadows@cs.ucr.edu)
% swapped_m = swap(m)
% 
% M is the input binary matrix
%
% SWAPPED_M returns the swapped binary matrix
%

swapped_m = m;
[rows, columns] = size(swapped_m);
for i = 1:rows
    for j = 1:columns
        if( swapped_m(i,j) == 1 )
            swapped_m(i,j) = 0;
        else
            swapped_m(i,j) = 1;
        end
    end
end
